# std::indirect_array::operator+=,-=,*=,/=,%=,&=,|=,^=,<<=,>>=

From cppreference.com
< cpp‎ | numeric‎ | valarray‎ | indirect array

void operator+=( const std::valarray<T>& other ); |  |
void operator-=( const std::valarray<T>& other ); |  |
void operator*=( const std::valarray<T>& other ); |  |
void operator/=( const std::valarray<T>& other ); |  |
void operator%=( const std::valarray<T>& other ); |  |
void operator&=( const std::valarray<T>& other ); |  |
void operator|=( const std::valarray<T>& other ); |  |
void operator^=( const std::valarray<T>& other ); |  |
void operator<<=( const std::valarray<T>& other ); |  |
void operator>>=( const std::valarray<T>& other ); |  |

Applies the corresponding operation to the referred elements and the elements of `other`.

### Parameters

other | - | argument array to retrieve the values from

### Return value

(none)

### Exceptions

(none)

### Example

| This section is incomplete Reason: no example

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/valarray/indirect_array/operator_arith&oldid=61560"
Category:

- Todo no example